<template>
  <div class="comom-title">
    <span class="title">情报上报数量统计</span>
  </div> 
  <div class="comom-cnt qxsbBox">
   <LineEcharts echartsId="qbsbEcharts" :data="dataList"></LineEcharts>
  </div>
</template>

<script setup>
import { qcckPost } from "@/api/qcckApi.js";
import LineEcharts from "../echarts/moreLineEcharts.vue";
import { reactive, onMounted } from 'vue';

const dataList = reactive({
  xData:['巴宜区','工布江达县','米林县','墨脱县','波密县','察隅县','朗县'],
  color:['#0386FB','#00FFFF'],
  list:[
    {label:'总数',val:[0,0,0,0,0,0,0]},
    {label:'已处置',val:[0,0,0,0,0,0,0]},
  ]
});
onMounted(() => {
  getCount()
});

const getCount = () =>{
  qcckPost({},'/mosty-gsxt/qbcj/getXscjTjForQx').then(res=>{
    dataList.xDate = res ? res.ycz.map(v=> v.org_name):[];
    dataList.list[0].val = res ? res.zs.map(v=>v.count):[];
    dataList.list[1].val = res ? res.ycz.map(v=>v.count):[];
  })
}


</script>


<style lang="scss" scoped>
@import "@/assets/css/homeScreen.scss";

</style>